Json::BatchAllocator< AllocatedType, objectPerAllocation > Class Template Reference

## Public Types

typedef AllocatedType | Type

## Public Member Functions

| BatchAllocator (unsigned int objectsPerPage=255)
AllocatedType * | allocate ()
void | release (AllocatedType *object)

## Member Function Documentation

template<typename AllocatedType , const unsigned int objectPerAllocation>

AllocatedType* Json::BatchAllocator< AllocatedType, objectPerAllocation >::allocate | ( |  | ) |

inline

allocate space for an array of objectPerAllocation object.

Warning
  it is the responsability of the caller to call objects constructors.

template<typename AllocatedType , const unsigned int objectPerAllocation>

void Json::BatchAllocator< AllocatedType, objectPerAllocation >::release | ( | AllocatedType * | object | ) |

inline

Release the object.

Warning
  it is the responsability of the caller to actually destruct the object.

The documentation for this class was generated from the following file:

- jsoncpp.cpp